[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDBTransaction.Destroy

Remove a TDBTransaction instance from memory.

## Declaration

Source position: db.pas line 1990

`public destructor TDBTransaction.Destroy; override;`

## Description

Destroy first disconnects all connected TDBDataset instances and then cleans up the resources allocated in the Create constructor. After that it calls the inherited destructor.

## See also

TDBTransaction.Create |  | Transaction property